package com.tianyi.controller;

import com.tianyi.service.FileGetResourceService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;


import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletResponse;


@RestController
public class FileGetResourceController extends HttpServlet {

    private final FileGetResourceService fileGetResourceService;

    public FileGetResourceController(FileGetResourceService fileGetResourceService) {
        this.fileGetResourceService = fileGetResourceService;
    }

    /**
     * 下载文件
     *
     * @param fileName
     * @param response
     */
    @GetMapping("/download")
    public void getFile(String fileName, HttpServletResponse response) {
        fileGetResourceService.getFile(fileName, response);
    }
}
